# TODO: remove with NixOS >= 21.11
pkgs:
with pkgs;

hackrf.overrideAttrs (oa: rec {
  version = "2021.03.1";

  src = fetchFromGitHub {
    owner = "greatscottgadgets";
    repo = "hackrf";
    rev = "v${version}";
    sha256 = "12fkgimjy5ia291c1rn4y59pn9r5wdvz5x9z5xc8zr1xr96iyhfs";
  };

  patches = [ (fetchurl {
    url = "https://github.com/polygon/nixpkgs/raw/b6b0cc1bea25d3495577b690371a81940ceb1e8a/pkgs/applications/radio/hackrf/0001-search-for-fftw3f.patch";
    sha256 = "1c6q8bmcsgs6vlmr60s916b057iy8vlw8mv3mnq2hw2ssrwbzhm6";
  }) ];
})
